@import "../global.css";
@import "../convert-pcg-to-nm.css";

div#root#root {
  --primary: #00487c;
  --primary-text: #00487c;
  --primary-svg: #00487c;
}

/* Connect Bar Hide */
.fwm-utility-nav-header {
  display: none !important;
}

/* DBA logo */
div#root .fwm-team-header-entity-logo-image {
  width: 18.75rem;
}

/* Primary H2 */
.fwm-section-header .fwm-section-header-hgroup .fwm-section-header-title-text {
  line-height: 1.2;
  font-size: 1.75rem;
  font-weight: 300;
}
.fwm-section-header .fwm-section-header-hgroup::after {
  content: "";
  display: block;
  width: 100%;
  height: 1px;
  background: var(--secondary-accent-line);
  margin: 0.75rem 0 0.75rem;
}

.fwm-lightTheme .fwm-section-header .fwm-section-header-hgroup .fwm-section-header-title-text {
  color: var(--primary-text);
}

.fwm-section-header.fwm-text-align-center .fwm-section-header-hgroup::after {
  margin: 0.75rem auto;
}

@media (min-width: 48rem) {
  .fwm-section-header hgroup.fwm-section-header-hgroup .fwm-section-header-title-text {
    font-size: 2rem;
  }
}
@media (min-width: 64rem) {
  .fwm-section-header hgroup.fwm-section-header-hgroup .fwm-section-header-title-text {
    font-size: 2.35rem;
  }
}
/* Contact Map Header */
.fwm-team-map-title.fwm-section-header-title-text {
  line-height: 1.2;
  font-size: 1.75rem;
  font-weight: 300;
}
.fwm-team-map-title.fwm-section-header-title-text::after {
  content: "";
  display: block;
  width: 100%;
  height: 1px;
  background: var(--secondary-accent-line);
  margin: 0.75rem 0 0.75rem;
}

.fwm-lightTheme .fwm-team-map-title.fwm-section-header-title-text {
  color: var(--primary-text);
}

@media (min-width: 48rem) {
  .fwm-team-map-title.fwm-section-header-title-text {
    font-size: 2rem;
  }
}
@media (min-width: 64rem) {
  .fwm-team-map-title.fwm-section-header-title-text {
    font-size: 2.35rem;
  }
}
/* Primary H3 */
.fwm-lightTheme h3.fwm-primary-h3.fwm-primary-h3 {
  color: var(--primary-text);
}

/* Accordion Headers */
.fwm-lightTheme summary.fwm-pivot-accordion-summary span[class*=SpanStyled],
.fwm-lightTheme div.accordion-container .accordion-item-title,
.fwm-lightTheme details.mce-accordion summary {
  color: var(--primary-text) !important;
}

/* switch to border-bottom */
summary.fwm-pivot-accordion-summary,
details.mce-accordion,
div.accordion-container {
  border-top: none;
  border-bottom: 1px solid var(--secondary-accent-line);
}

.fwm-pivot-accordion-item:first-of-type summary.fwm-pivot-accordion-summary,
details.mce-accordion:first-of-type summary,
div.accordion-container:first-of-type .accordion-item-title {
  padding-top: 0;
}

summary.fwm-pivot-accordion-summary {
  margin-bottom: 1.5rem;
}

div.accordion-container:first-of-type button {
  align-items: start;
}

details.mce-accordion:first-of-type summary::after {
  top: 0;
  transform: initial;
}

/* Roman Numeral List [Our Investment Philosophy] */
.fwm-lightTheme .fwm-rich-text-editor > ol[style="list-style-type: upper-roman;"] {
  position: relative;
}
.fwm-lightTheme .fwm-rich-text-editor > ol[style="list-style-type: upper-roman;"] > li {
  position: relative;
  margin-bottom: 1rem;
  padding-left: 1rem;
  line-height: 1.5;
}
.fwm-lightTheme .fwm-rich-text-editor > ol[style="list-style-type: upper-roman;"] > li::marker {
  content: counter(list-item, upper-roman) " ";
  color: var(--primary-text);
  font-size: 1.5rem;
  font-weight: 400 !important;
  padding-top: 0.25rem;
}
.fwm-lightTheme .fwm-rich-text-editor > ol[style="list-style-type: upper-roman;"] > li::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0.25em;
  bottom: 0.25em;
  width: 0.125rem;
  height: 2rem;
  background-color: var(--secondary-accent-line);
}

/* Hero Gradient/Box (no Supporting Text) [All Other Pages] */
.fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container hgroup {
  position: relative;
  border-top: 0.125rem solid var(--white);
  border-bottom: 0.125rem solid var(--white);
  padding: 1rem 0.5rem 0.85rem;
}
.fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2 {
  text-shadow: none;
  font-weight: 300;
  text-transform: uppercase;
  padding-bottom: 0;
}

@media (min-width: 48rem) {
  .fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2 {
    font-size: 4.5rem;
  }
}
@media (min-width: 64rem) {
  .fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2 {
    font-size: 5rem;
  }
}
/* Hero Gradient/Box (has Supporting Text) [Home] */
.fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container hgroup {
  position: relative;
}
.fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2 {
  text-shadow: none;
  font-weight: 300;
  text-transform: uppercase;
}
.fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container hgroup .fwm-hero-large-supporting-text p {
  text-transform: uppercase;
  letter-spacing: 0.75rem;
  font-weight: 300;
}

@media (min-width: 48rem) {
  .fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2 {
    font-size: 4.5rem;
  }
  .fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container hgroup .fwm-hero-large-supporting-text p {
    font-size: 1.5rem;
  }
}
@media (min-width: 64rem) {
  .fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2 {
    font-size: 5.5rem;
  }
  .fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container hgroup .fwm-hero-large-supporting-text p {
    font-size: 1.75rem;
  }
}
/* Contact Form - Side Locations (accordion) */
.fwm-team-contact-us .fwm-contact-us-form-accordion-container.accordion-container {
  border: none;
}
.fwm-team-contact-us .fwm-contact-us-form-accordion-item-title.accordion-item-title {
  padding: 0.75rem 0;
}
.fwm-team-contact-us .fwm-contact-us-form-accordion-container dt {
  border-bottom: 1px solid var(--secondary);
}

/* Border Cards [Community Involvement] */
.fwm-card-border-set.fwm-lightTheme .fwm-card-set-item {
  border: 1px solid var(--primary);
  padding: 1rem;
  background: initial;
}
.fwm-card-border-set.fwm-lightTheme .fwm-card-set-item img {
  border: 1px solid var(--primary);
}

/* Photo Overlay - Wide */
@media (max-width: 48rem) {
  .fwm-photo-overlay.fwm-column-halves.fwm-lightTheme .fwm-photo-overlay-content {
    background: rgba(255, 255, 255, 0.75);
    backdrop-filter: blur(10px);
    box-shadow: 0 0 6.25rem rgba(0, 0, 0, 0.1);
    border-radius: 1.25rem;
    border: 1px solid #edf0f3;
  }
}
@media (min-width: 48rem) {
  .fwm-photo-overlay.fwm-column-halves.fwm-lightTheme.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)):not(:has(.fwm-nestable-footer-bottom)) .fwm-photo-overlay-image {
    position: relative;
    z-index: 10;
  }
  .fwm-photo-overlay.fwm-column-halves.fwm-lightTheme.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)):not(:has(.fwm-nestable-footer-bottom)) .fwm-photo-overlay-content {
    position: relative;
    z-index: 12;
    padding: 5rem;
    transform: translateX(-100px);
    width: calc(100% + 100px);
    max-width: calc(100% + 100px);
    background: rgba(255, 255, 255, 0.75);
    backdrop-filter: blur(10px);
    box-shadow: 0 0 6.25rem rgba(0, 0, 0, 0.1);
    border-radius: 1.25rem;
    border: 1px solid #edf0f3;
  }
  .fwm-photo-overlay.fwm-column-halves.fwm-lightTheme.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)):not(:has(.fwm-nestable-footer-bottom))::before {
    content: "";
    display: block;
    width: 60%;
    height: 90%;
    position: absolute;
    left: -2px;
    top: 50%;
    transform: translate(0, -50%);
    border: 2px solid var(--primary);
    z-index: 5;
  }
  .fwm-photo-overlay.fwm-column-halves.fwm-lightTheme.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)):not(:has(.fwm-nestable-footer-bottom))::after {
    content: "";
    position: absolute;
    top: 50%;
    transform: translate(0, -50%);
    left: -2px;
    height: 100%;
    width: 75%;
    background: var(--gray);
    z-index: 1;
  }
  .fwm-photo-overlay.fwm-column-halves.fwm-lightTheme.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)):not(:has(.fwm-nestable-footer-bottom)).fwm-media-right::before {
    right: -2px;
    left: initial;
  }
  .fwm-photo-overlay.fwm-column-halves.fwm-lightTheme.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)):not(:has(.fwm-nestable-footer-bottom)).fwm-media-right::after {
    right: -2px;
    left: initial;
  }
  .fwm-photo-overlay.fwm-column-halves.fwm-lightTheme.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)):not(:has(.fwm-nestable-footer-bottom)).fwm-media-right .fwm-photo-overlay-content {
    transform: translateX(100px);
  }
}
/* Callout Panel [Home] */
section.fwm-photo-callout-panel.fwm-bg-lightC {
  padding-top: 0;
  padding-bottom: 0;
  position: relative;
}
section.fwm-photo-callout-panel.fwm-bg-lightC::before, section.fwm-photo-callout-panel.fwm-bg-lightC::after {
  content: "";
  height: 6rem;
  width: 100%;
  display: block;
  background-color: var(--white);
  position: absolute;
  left: 0;
  z-index: 1;
}
section.fwm-photo-callout-panel.fwm-bg-lightC::before {
  bottom: 0;
}
section.fwm-photo-callout-panel.fwm-bg-lightC .fwm-nestable-container {
  background: rgba(255, 255, 255, 0.75);
  backdrop-filter: blur(0.625rem);
  -webkit-backdrop-filter: blur(0.625rem);
  border: 1px solid #edf0f3;
  box-shadow: 0 0 100px rgba(0, 0, 0, 0.1);
  border-radius: 1.25rem;
  z-index: 10;
  margin-top: 3rem;
  margin-bottom: 3rem;
}

/* Callout Block [Home] */
.fwm-lightTheme.fwm-photo-callout-block-center .fwm-nestable-container {
  border: 0.125rem solid var(--gray);
  position: relative;
  z-index: 2;
  backdrop-filter: blur(0.5rem);
  box-shadow: 0 0 2rem rgba(0, 0, 0, 0.1);
  border-radius: 1.25rem;
  background: rgba(255, 255, 255, 0.75);
}

/* Custom Photo - Narrow [ARTICLES & DOCUMENTS] */
section.fwm-photo-panel.fwm-column-thirds .fwm-PhotoComponent-container img {
  border: 1px solid #000;
}

/* Tab - [Our Team] */
.fwm-tabbed-content-horizontal nav {
  background-color: var(--white);
}
.fwm-tabbed-content-horizontal .fwm-tabbed-content-nav li.active, .fwm-tabbed-content-horizontal .fwm-tabbed-content-nav li.inactive {
  border: none !important;
}
.fwm-tabbed-content-horizontal .fwm-tabbed-content-nav .fwm-tabbed-content-nav-link {
  background: var(--primary);
  color: var(--white);
  font-size: 1.15rem;
  margin: 0 5px;
  border-radius: 10px;
}
.fwm-tabbed-content-horizontal .fwm-tabbed-content-nav .fwm-tabbed-content-nav-link:hover {
  color: var(--secondary-text);
}
.fwm-tabbed-content-horizontal .fwm-tabbed-content-nav .fwm-tabbed-content-nav-link.active {
  background: var(--secondary);
  color: var(--primary);
}
.fwm-tabbed-content-horizontal .fwm-tabbed-content-panel section.fwm-nestable {
  padding: 2rem;
  margin: 0;
}
.fwm-tabbed-content-horizontal .fwm-tabbed-content-panel section.fwm-nestable .fwm-nestable-container:first-child {
  border: 2px solid var(--primary);
  padding: 4rem;
}

/* Team Modals */
.fwm-team-member-modal-bio-text a {
  color: var(--primary-text);
  font-weight: 400;
}